package ai.pai.client.patch;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import com.android.hotpatch.framework.ChangeQuickRedirect;
import com.android.hotpatch.utils.PatchUtils;

import ai.pai.client.R;
import ai.pai.client.activity.AboutUsActivity;
import ai.pai.client.utils.SystemUtils;


public class AboutUsActivity$Override implements ChangeQuickRedirect {
    @Override
    public boolean isSupport(String s, Object[] objects) {
        String methodName = s.split(":")[1];
        if(methodName.equals("onCreate")){
            return true;
        }
        return false;
    }

    @Override
    public Object accessDispatch(String s, Object[] objects) {
        String methodName = s.split(":")[1];
        if(methodName.equals("onCreate")){
            onCreate((AboutUsActivity)objects[objects.length-1],(Bundle)objects[0]);
        }
        return null;
    }


    protected void onCreate(AboutUsActivity $this,Bundle savedInstanceState) {
        try{
            PatchUtils.invokeProtectedMethod($this,new Object[]{$this,-641568046,new Object[]{savedInstanceState}},new Class[]{Object.class,int.class,Object[].class},"accessSuper");
        }catch (Throwable t){
            t.printStackTrace();
        }
        $this.setContentView(R.layout.activity_about_us);
        SystemUtils.setImmerseLayout($this,$this.findViewById(R.id.title_layout));
        TextView title = (TextView) $this.findViewById(R.id.title_bar_middle_txt);
        title.setTextSize(25);
        title.setText(R.string.slide_about_us);
        TextView curVersionText = (TextView)$this.findViewById(R.id.tv_cur_version);
        try {
            curVersionText.setText( "v"+$this.getPackageManager().getPackageInfo($this.getPackageName(), 0).versionName);
        }catch (Exception e){
            e.printStackTrace();
        }
        $this.findViewById(R.id.title_bar_back_layout).setOnClickListener($this);
        $this.findViewById(R.id.title_bar_option_layout).setVisibility(View.INVISIBLE);
        $this.findViewById(R.id.layout_about_declare).setOnClickListener($this);
        $this.findViewById(R.id.layout_check_update).setOnClickListener($this);
        $this.findViewById(R.id.layout_contact_us).setOnClickListener($this);
    }
}
